<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/
?>
<?php include ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require ("../inc/lst.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	$td = strip_tags(trim($_GET['td'])); // Récupération type demande
	$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client
	$ca = strip_tags(trim($_GET['ca'])); // Récupération code Agence
	$co = strip_tags(trim($_GET['co'])); // Récupération code Contrat-Client
	$ci = strip_tags(trim($_GET['ci'])); // Récupération code Intervention
	$ct = strip_tags(trim($_GET['ct'])); // Récupération code Technnicien saisissant l'intervention
	$cte = strip_tags(trim($_GET['cte'])); // Récupération code Technicien traitant le dossier
	$cx = strip_tags(trim($_GET['cx'])); // Récupération code pour savoir quel choix de technicien
										 //   cx=s pour celui qui saisi l'intervention
										 //   cx=t pour celui qui traite l'intervention

	if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
	{
		$ca = @$HTTP_SESSION_VARS["code_age"];
			
		$row = lit_enr_age($ca);
		extract ($row);
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Liste Clients</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>


</head>

<body>

<?php
include ("../inc/entete.php");
?>

<p align="center"><span class="titrepage">COMPTES CLIENTS </span></p>
<?PHP
if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
{
?>
<p align="center" class="annot_std_it">(Couverts par votre agence)</p>
<?PHP
}
	if (@$HTTP_SESSION_VARS["niv_log"] >= 3)
	{
		$fic_imp = "cli_lsti.php";
	}
	$url_add = "cli_maj.php?td=add&cc=".$cc."&ci=".$ci."&code=";
	include_once ("../inc/formr.php"); 

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	if (@$HTTP_SESSION_VARS["niv_log"] >= 3)
	{
		$rech = cree_strrechlstcli();
		if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";
			else
				$rech .= " AND ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";			
			$tab_zone=explode("-",$age_zone);
			if (count($tab_zone)>0)
			{
				if (count($tab_zone) == 1)
					$rech .= " AND";
				else
					$rech .= " AND (";
				for($i=0;$i<count($tab_zone);$i++)
				{
					if ($tab_zone[$i]<>"")
					{
						if ($i==0)
							$rech .= " ".TBCLI.".cli_dep='".$tab_zone[$i]."'";
						else
							$rech .= " OR ".TBCLI.".cli_dep='".$tab_zone[$i]."'";
					}
				}
				if (count($tab_zone) > 1)
					$rech .=")";
			}
		}
		$rech .= crestr_triord($cli_titre_col,"cli_code",FALSE,$limit);
	}
	else
	{
		$rech = cree_strrechlstcliope();
		$rech .= crestr_triord($cliope_titre_col,"cli_code",FALSE,$limit);
	}	 
	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
	

	// *** Pagination
	if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages
	
	$pages = intval($numrows/$limit); // Nombre total de pages
	
	if($numrows%$limit) $pages++; // S'il y a un reste à la division, alors page+1
	$current = ($_GET['page']/$limit) + 1; // Numéro de page courante
		
	if(($pages < 1) || ($pages == 0)) 
	  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
	else 
	 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
		
	$first = $_GET['page'] + 1; // Premier résultat
		
	if(((($_GET['page'] + $limit) / $limit) >= $pages) && $pages != 1) 
		 $last = $_GET['page'] + $limit; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limit
	else
		$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
	// *** Fin de Pagination

	if($numrows == 0)
	{
		retpp();
	}
	 else
	{
		if (@$HTTP_SESSION_VARS["niv_log"] >= 3)
		{
			$rech = cree_strrechlstcli();
			if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";
				else
					$rech .= " AND ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";			
				$tab_zone=explode("-",$age_zone);
				if (count($tab_zone)>0)
				{
					if (count($tab_zone) == 1)
						$rech .= " AND";
					else
						$rech .= " AND (";
					for($i=0;$i<count($tab_zone);$i++)
					{
						if ($tab_zone[$i]<>"")
						{
							if ($i==0)
								$rech .= " ".TBCLI.".cli_dep='".$tab_zone[$i]."'";
							else
								$rech .= " OR ".TBCLI.".cli_dep='".$tab_zone[$i]."'";
						}
					}
					if (count($tab_zone) > 1)
						$rech .=")";
				}
			}
			$rech .= crestr_triord($cli_titre_col,"cli_code",TRUE,$limit);
		}
		else
		{
			$rech = cree_strrechlstcliope();
			$rech .= crestr_triord($cliope_titre_col,"cli_code",TRUE,$limit);
		}	 
	}

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);

		
	// *** Affichage de la table

     echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	if  (@$HTTP_SESSION_VARS["niv_log"] >= 3)
		titlst(TRUE,$cli_titre_col);
	else
		titlst(TRUE,$cliope_titre_col);
	
	echo "<th>".ucfirst("cliquer")."</th>\n";
		
	
	$i = 0;
		
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	  $afficheok = TRUE;
		
		if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
		{
			// Vérifie que le département du client est dans la zone de chalandise de l'agence
			if ((dep_in_zc($row["cli_dep"],$age_zone)) == FALSE)
			{
				// Si pas dans la zone de chalandise, on affiche pas
				$afficheok = FALSE;
			}
			else
			{
				// Si dans la zone de chalandise, vérifie si client appartient à l'agence ou est non affecté
				if (($row["cli_prop"] <> NULL) AND ($row["cli_prop"] <> @$HTTP_SESSION_VARS["code_age"]))
					$afficheok = FALSE;
			}
		}
	  
	  if ($afficheok == TRUE)
	  {
		// Création de l'entête de ligne (TR)
		creetrlst($i);
		
         echo "<td>".$row["cli_code"];

		 // CREATION d'icône en cas de problème potentiel
		if ($row["cli_cpta"] >= 1)
		{
			$lst_sta = TRUE;
			 echo " <img src=\"../img/".$ico_cpta[$row["cli_cpta"]]."\" title =\"".$mess_cpta[$row["cli_cpta"]]."\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
		}

		 // Détail propriétaire
		 if  (@$HTTP_SESSION_VARS["niv_log"] >= 5)
		 {
			 echo "<br>";
			 echo "<span class=\"annot_petit_it\">";
			 if ($row["cli_prop"] <> NULL)
			 {
				$txt = "Agence ".$row["cli_prop"];
				echo "->".$txt;
			 }
			 else
				 echo "->(Non affecté)";
			 echo "</span>";
		}
		 echo "</td>\n";

         echo "<td>";
		 if ($row["cli_ste"] <> "")
		 	echo $row["cli_ste"];
		 else
			echo "&nbsp;";
		 echo "</td>\n";
         echo "<td>";
		 echo $row["cli_civilite"]." ".$row["cli_nom"]." ".$row["cli_prenom"];
		 echo "</td>\n";
		if (@$HTTP_SESSION_VARS["niv_log"] >= 3)
		{
			echo "<td>".$row["cli_telf"]."</td>\n";
			echo "<td>";
			if ($row["cli_telp"] <> "")
			{
				echo $row["cli_telp"];
			}
			else
			{ 
				echo "<div align=\"center\">";
				echo "-";
				echo "</div>";
			}
			echo "</td>\n";
			
			// CREATION lien dynamique sur email
			echo "<td>";
			echo "<a href=\"mailto:".$row["cli_email"]."\">".$row["cli_email"]."</a>";
			echo "</td>\n";
		}

		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		$lst_maj = TRUE;
		$lst_dem = TRUE;
		$lst_del = TRUE;
		$lst_imp = TRUE;
	
		 echo "<td>";
		 echo "<div align=\"center\">";

		 // Un opérateur ne peut pas modifier un compte bloqué
		 $editok=TRUE;
		 if  (@$HTTP_SESSION_VARS["niv_log"] == 2)
		 {
			 if ($row["cli_cpta"] == 3)
			 	$editok=FALSE;
		 }
		 if ($editok==TRUE)
			 echo "<a href=\"cli_maj.php?td=edit&cc=".$row["cli_code"]."&dep=".$row["cli_dep"]."\"><img src=\"../img/edit.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
		 else
		 	echo "-";
			
		 // Possibilité de déménagement uniquement à partir du niveau "agence"
		 if  (@$HTTP_SESSION_VARS["niv_log"] >= 4)
		 {
			 echo " ";
			 echo "<a href=\"clidem_maj.php?cc=".$row["cli_code"]."&dep=".$row["cli_dep"]."\"><img src=\"../img/dem.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
 		 }
		 if ($row["cli_cpta"] < 3) // Pas de possibilité d'intervention, de contrat, ou de relevé, si compte client bloqué
		 {
			$lst_int = TRUE;

			 echo " ";
			 echo "<a href=\"int_maj.php?td=add&ci=&cc=".$row["cli_code"]."&ct=&cte=&cx=\"><img src=\"../img/int.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";

		 	// Possibilité de création de contrats uniquement à partir du niveau "agence"
			if  (@$HTTP_SESSION_VARS["niv_log"] >= 4)
			{
				$lst_cocl = TRUE;
				echo " ";
				echo "<a href=\"cocl_maj.php?td=add&co=&cc=".$row["cli_code"]."&ca=\"><img src=\"../img/contrat.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
			}
	
			// Création de relevés uniquement à partir du niveau "technicien"
			if  (@$HTTP_SESSION_VARS["niv_log"] >= 3)
			{
				echo " ";
				$rech2 = "SELECT * FROM `" .TBREL. "` WHERE `rel_codecli` = '".$row["cli_code"]."'";
				$rs2 = mysql_query($rech2)or die(mysql_error());
				if (mysql_num_rows($rs2) <> 0)
				{
					if ($row2 = mysql_fetch_array($rs2))
					{
						$lst_relexist = TRUE;
						echo "<a href=\"rel_maj.php?td=edit&cr=".$row2["rel_code"]."\"><img src=\"../img/relexist.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
					}
				 }
				 else
				 {
					$lst_relcreer = TRUE;
					echo "<a href=\"rel_maj.php?td=add&cc=".$row["cli_code"]."&ca=\"><img src=\"../img/rel.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
				 }
				mysql_free_result($rs2);
			}
		 }

		// Possibilité de suppression uniquement à partir du niveau "technicien"
		if  (@$HTTP_SESSION_VARS["niv_log"] >= 3)
		{
			 echo " ";
			 echo "<a href=\"cli_maj.php?td=del&cc=".$row["cli_code"]."&dep=".$row["cli_dep"]."\"><img src=\"../img/del.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
			 echo " ";
			 $urlimp = "cli_maji.php?cc=".$row["cli_code"];
			 echo "<a href=\"javascript:;\" onclick=\"lanceimp('".$urlimp."');\")><img src=\"../img/print.gif\" title=\"Imprimer la fiche\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>";
			 echo "</div>";
		}

		 echo "</td>\n";

		 echo "</tr>\n";
		
		$i++;
	  }
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limit;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limit*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limit) / $limit) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limit; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'

	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"abddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 

	// *** Fin de pagination de pied	

	mysql_close($conn);
	
	$taille_piedla="";
	include_once ("../inc/piedla.php"); 
?>

<?php 
	include_once ("pied.php")
?>